Bug 71186 - Bash p modifier not working when accessing history
Bash p modifier not working when accessing history
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: bash (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-08-09 14:32 EDT by Christian Thibodeau
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-22 07:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Thibodeau 2002-08-09 14:32:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1b) Gecko/20020722

Description of problem:
When trying to access the bash history with the !<string> command, the p
modifier does not work

Version-Release number of selected component (if applicable):
GNU bash, version 2.05b.0(1)-release (i686-pc-linux-gnu)
Copyright (C) 2002 Free Software Foundation, Inc.


How reproducible:
Always

Steps to Reproduce:
1.Type a command, ie: uname -m
2.Now type !una:p
3.
	

Actual Results:  -bash: !una:p: event not found

Expected Results:  uname -m

should have been printed, but not executed.

Additional info:

This was working fine in previous versions of Redhat (both 7.2 and 7.3 show the
expected result).
Comment 1 Tim Waugh 2002-08-22 07:36:36 EDT
Fixed package is bash-2.05b-4.
Comment 2 Jay Turner 2002-08-22 09:01:52 EDT
Fix confirmed with bash-2.05b-4.

Note You need to log in before you can comment on or make changes to this bug.